# DistributionType

enum DistributionType

Specifies the Gradle distribution type.

## Entries

BIN
Link copied to clipboard
BIN

binary-only Gradle distribution without sources and documentation

ALL
Link copied to clipboard
ALL

complete Gradle distribution with binaries, sources and documentation

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): Wrapper.DistributionType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<Wrapper.DistributionType>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.